package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PositionSalaryStandardEntryCollection extends AbstractObjectCollection 
{
    public PositionSalaryStandardEntryCollection()
    {
        super(PositionSalaryStandardEntryInfo.class);
    }
    public boolean add(PositionSalaryStandardEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PositionSalaryStandardEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PositionSalaryStandardEntryInfo item)
    {
        return removeObject(item);
    }
    public PositionSalaryStandardEntryInfo get(int index)
    {
        return(PositionSalaryStandardEntryInfo)getObject(index);
    }
    public PositionSalaryStandardEntryInfo get(Object key)
    {
        return(PositionSalaryStandardEntryInfo)getObject(key);
    }
    public void set(int index, PositionSalaryStandardEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PositionSalaryStandardEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PositionSalaryStandardEntryInfo item)
    {
        return super.indexOf(item);
    }
}